CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
I2SControlTable Struct Reference
[i2s] Inter-IC Sound

A structure that defines an audio control table. Note: Memory for this structure must be initialized by user application. See detailed description! More...

`#include <i2s.h>`

## Data Fields
uint16_t | ui16DMABufSize
| Size of DMA buffer in number of samples. More...
uint16_t | ui16ChBufSize
| Size of Channel buffer. More...
uint8_t | ui8InChan
| Input Channel. More...
uint8_t | ui8OutChan
| Output Channel. More...
uint16_t | ui16MemLen
| Length of the audio words stored in memory. More...
uint32_t | ui32InBase
| Base address of the input buffer. More...
uint32_t | ui32InOffset
| Value of the current input pointer offset. More...
uint32_t | ui32OutBase
| Base address of the output buffer. More...
uint32_t | ui32OutOffset
| Value of the current output pointer offset. More...

## Detailed Description

A structure that defines an audio control table. Note: Memory for this structure must be initialized by user application. See detailed description!

These fields are used by the I2S and normally it is not necessary for software to directly read or write fields in the table.

The control table must be defined by the user as a global variable and the global pointer must then be assigned the address of the control table:

     I2SControlTable g_controlTable;
     g_pControlTable = &g_controlTable;

Definition at line 115 of file i2s.h.

## Field Documentation

uint16_t I2SControlTable::ui16ChBufSize

Size of Channel buffer.

Definition at line 118 of file i2s.h.

Referenced by I2SBufferConfig(), I2SPointerUpdate(), and I2SSampleStampConfigure().

uint16_t I2SControlTable::ui16DMABufSize

Size of DMA buffer in number of samples.

Definition at line 117 of file i2s.h.

Referenced by I2SBufferConfig(), I2SEnable(), and I2SPointerUpdate().

uint16_t I2SControlTable::ui16MemLen

Length of the audio words stored in memory.

Definition at line 121 of file i2s.h.

Referenced by I2SAudioFormatConfigure(), and I2SPointerUpdate().

uint32_t I2SControlTable::ui32InBase

Base address of the input buffer.

Definition at line 122 of file i2s.h.

Referenced by I2SBufferConfig(), I2SEnable(), and I2SPointerUpdate().

uint32_t I2SControlTable::ui32InOffset

Value of the current input pointer offset.

Definition at line 123 of file i2s.h.

Referenced by I2SEnable(), and I2SPointerUpdate().

uint32_t I2SControlTable::ui32OutBase

Base address of the output buffer.

Definition at line 124 of file i2s.h.

Referenced by I2SBufferConfig(), I2SEnable(), and I2SPointerUpdate().

uint32_t I2SControlTable::ui32OutOffset

Value of the current output pointer offset.

Definition at line 125 of file i2s.h.

Referenced by I2SEnable(), and I2SPointerUpdate().

uint8_t I2SControlTable::ui8InChan

Input Channel.

Definition at line 119 of file i2s.h.

Referenced by I2SChannelConfigure(), and I2SPointerUpdate().

uint8_t I2SControlTable::ui8OutChan

Output Channel.

Definition at line 120 of file i2s.h.

Referenced by I2SChannelConfigure(), and I2SPointerUpdate().